### Hierarchy

- GBImporter

## Index

### Constructors

- constructor

### Properties

- core

### Methods

- createInstanceInternal
- importIfNotExistsBotPackage

## Constructors

### constructor

- new GBImporter(core: IGBCoreService): GBImporter

- - Defined in deploy/core.gbapp/services/GBImporter.ts:44

  #### Parameters

  - ##### core: IGBCoreService

  #### Returns GBImporter

## Properties

### core

core: IGBCoreService

- Defined in deploy/core.gbapp/services/GBImporter.ts:44

## Methods

### Private createInstanceInternal

- createInstanceInternal(packageName: string, localPath: string, packageJson: any): Promise<void>

- - Defined in deploy/core.gbapp/services/GBImporter.ts:68

  #### Parameters

  - ##### packageName: string

  - ##### localPath: string

  - ##### packageJson: any

  #### Returns Promise<void>

### importIfNotExistsBotPackage

- importIfNotExistsBotPackage(packageName: string, localPath: string): Promise<any>

- - Defined in deploy/core.gbapp/services/GBImporter.ts:50

  #### Parameters

  - ##### packageName: string

  - ##### localPath: string

  #### Returns Promise<any>

Generated using TypeDoc